;******************************************************************************
;                                                                             *
; Copyright (C) 2012 Sergio García-Cuevas González.                           *
;                                                                             *
; This program is free software; you can redistribute it and/or modify        *
; it under the terms of the GNU General Public License as published by        *
; the Free Software Foundation; either version 3 of the License, or           *
; (at your option) any later version.                                         *
;                                                                             *
; This program is distributed in the hope that it will be useful,             *
; but WITHOUT ANY WARRANTY; without even the implied warranty of              *
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
; GNU General Public License for more details.                                *
;                                                                             *
; You should have received a copy of the GNU General Public License           *
; along with this program.  If not, see <http://www.gnu.org/licenses/>.       *
;                                                                             *
;******************************************************************************

        list      p=12f629
        #include <p12f629.inc>
        #include "asm/config.inc"

        GLOBAL  configure_timer

CONFIGURE_TIMER CODE
; Configure the timer.
; 
; Uses:
;   - OSCCAL
;   - OPTION_REG
;   - TMR0
configure_timer
        ; Callibrate the internal oscillator.
        BANKSEL OSCCAL
        CALL    h'3FF'
        MOVWF   OSCCAL
        ; Configure TIMER0.
        BANKSEL OPTION_REG
        MOVLW   OPTION_REG_cfg
        MOVWF   OPTION_REG
        BANKSEL TMR0            ; Start with a fresh TMR0.
        CLRF    TMR0
        RETURN

        END
